TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RandomPrimePolynomial ( alg^pol R, elt-ord^rat d ) -> elt-alg^pol

### Description

<shortdoc> A random monic prime polynomial of degree d over a finite field. </shortdoc>

### Examples

x_F:= FiniteField(7); x_Fx:=PolynomialAlgebra(x_F); RandomPrimePolynomial(x_Fx, 5);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack